<template>
  <div class="scoreboard-container">
    <div id="header">
      <h1>Score Board</h1>
      <span class="sports">
        <i class="fal fa-tennis-ball" />
        <i class="fal fa-volleyball-ball" />
        <i class="fal fa-hockey-sticks" />
        <i class="fal fa-curling" />
        <i class="fal fa-shuttlecock" />
        <i class="fal fa-baseball" />
        <i class="fal fa-quidditch" />
        <i class="fal fa-golf-club" />
        <i class="far fa-futbol" />
        <i class="fal fa-football-ball" />
        <i class="fal fa-basketball-ball" />
      </span>
    </div>
    <div class="teams">
      <TeamOne />
      <TeamTwo />
    </div>
  </div>
</template>

<script>
import Vue from "vue";
import TeamOne from "./TeamOne.vue";
import TeamTwo from "./TeamTwo.vue";

export default Vue.extend({
  name: "scoreboard",
  components: { TeamOne, TeamTwo }
});
</script>

<style lang="scss">
.scoreboard-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #161616;
  background: #f2f2f2;
  min-height: 100vh;
}

.sports {
  color: #006992;
}

.teams {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  font-family: "Permanent Marker", cursive;
}

.team-score {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 30px;
}

.score-box {
  width: 75px;
  height: 75px;
  border: 3px solid #161616;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;

  .score {
    font-size: 30px;
    padding: 0;
    margin: 0;
  }
}

.input-container {
  display: flex;
  flex-direction: column;
  margin-top: 50px;

  .input-name {
    padding: 10px 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
}

header {
  margin-bottom: 30px;
}

button {
  width: 100%;
  margin-top: 5px;
  font-family: "Press Start 2P", cursive;
  font-size: 12px;
  border: 1px solid transparent;
  border-radius: 4px;
  background: #00b6ff;
  cursor: pointer;
  color: #161616;

  .fa-plus {
    font-size: 16px;
  }
}

button:hover {
  background: #006992;
}

h1 {
  font-family: "Press Start 2P", cursive;
}

i {
  margin: 5px;
  font-size: 20px;
}

button.update-name {
  padding: 11px 0;
  margin-top: 60px;
}
</style>
